package com.steerinfo.baseinfo.meterbasecalibrationnum.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasecalibrationnum.model.MeterBaseCalibrationNum;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseCalibrationNumMapper extends IBaseMapper<MeterBaseCalibrationNum, String> {
     String GetNewID();

     List<MeterBaseCalibrationNum> selectForUpdate(Map<String, Object> parameters);

    int updateStateByPrimaryKey(MeterBaseCalibrationNum meterBaseCalibrationNum);
}